Subject: New Module List Posted
From: [email-masked] (Andreas Koenig)
Date: 29 Mar 1997 08:09:45 GMT
Newsgroups: comp.lang.perl.announce

Last night I posted a new revision (2.40) of the Perl 5 Module List to
comp.lang.perl.modules. See the header of this posting for a reference. The
HTML version is uploaded to CPAN as modules/00modlist.long.html. Try

    <URL:http://www.perl.com/CPAN/modules/00modlist.long.html>

or your nearest CPAN site.

As usual, comments, corrections and suggestions are more than
welcome. Please don't hesitate, mail them to [email-masked].

Thank you,
andreas

Recent Changes in the modules database
--------------------------------------

2) Perl Core Modules, Perl Language Extensions and Documentation Tools
----------------------------------------------------------------------
constant       adpf  Define compile-time constants                PHOENIX +

4) Operating System Interfaces
------------------------------
MSDOS::
::Anarchie     cdpO  Interface to Anarchie with AppleEvents       CNANDOR +

5) Networking, Device Control (modems) and InterProcess Communication
---------------------------------------------------------------------
Net::
::LDAP         adpO  Interface to LDAP Protocol (RFC1777)         PLDAP +
::Telnet       adpO  Interact with TELNET port or other TCP ports JROGERS !

6) Data Types and Data Type Utilities (see also Database Interfaces)
--------------------------------------------------------------------
Bit::
::ShiftReg     Rdcf  Rotate/shift registers (all C integer types) STBEY +
::Vector       RdcO  Arbitrary length bit vectors (base class)    STBEY +

Date::
::Convert      cdpO  Conversion between Gregorian, Hebrew, more?  MORTY +

Math::
::Fraction     adpO  Fraction Manipulation                        KEVINA +

PDL::
::NetCDF       adcr  Reads/Writes NetCDF files from/to PDL objs   DHUNT +

7) Database Interfaces (see also Data Types)
--------------------------------------------
CDB_File       adc   Tie to CDB (Bernstein's constant DB) files   TIMPX !

8) User Interfaces (Character and Graphical)
--------------------------------------------
PerlMenu       Mdpf  Curses-based menu and template system        SKUNZ +
Qt             ad+O  Interface to the Qt toolkit                  AWIN !

Tk::
::Getopt       adpO  User configuration interface to Getopt::Long SREZIC +

X11::
::Fvwm         adcO  interface to the FVWM window manager API     RJRAY !
::XEvent       bdcO  provides perl OO acess to XEvent structures  MARTINB +
::XFontStruct  bdcO  provides perl OO access to XFontStruct       MARTINB +
::Xforms       bdcO  provides the binding to the xforms library   MARTINB +

Xforms         bdcO  See X11::Xforms; namespace will move to X11  MARTINB +

11) Text Processing, Parsing and Searching
------------------------------------------
Font::
::TFM          adpO  Read info from TeX font metric files         JANPAZ +

TeX::
::DVI          adpO  Methods for writing DVI (Device INdependent) JANPAZ +
::Hyphen       adpO  Hyphenate words using TeX's patterns         JANPAZ +

Text::
::Vpp          adpO  Versatile text pre-processor                 DDUMONT +

15) World Wide Web, HTML, HTTP, CGI, MIME etc (see Text Processing)
-------------------------------------------------------------------
HTML::
::Embperl      bdcf  Embed Perl in HTML                           GRICHTER +
::Stream       RdpO  HTML output stream                           ERYQ !

MIME::
::Lite         adpO  Single module for composing simple MIME msgs ERYQ !
::Words        cdpf  Encode/decode RFC1522-escaped header strings ERYQ +

Netscape::
::Cache        bdpO  Access Netscape cache files                  SREZIC +

17) Archiving, Compression and Conversion
-----------------------------------------
Convert::
::BER          adpO  Class for encoding/decoding BER messages     GBARR +
::BinHex       cdpO  Convert to/from RFC1741 HQX7 (Mac BinHex)    ERYQ +

18) Images, Pixmap and Bitmap Manipulation, Drawing and Graphing
----------------------------------------------------------------
Image::
::Magick       RdcO  Read, query, transform, and write images     JCRISTY +

21) File Handle, Directory Handle and Input/Output Stream Utilities
-------------------------------------------------------------------
IO::
::Scalar       idpO  An I/O handle on a scalar                    ERYQ +
::ScalarArray  idpO  An I/O handle on a ref to array of scalars   ERYQ +
::WrapHandle   idpO  Wrap old-style FHs in IO::-like interface    ERYQ +

23) Miscellaneous Modules
-------------------------
Bundle         i     Namespace reserved for modules collections   ANDK +

Recent Changes in the users database
------------------------------------

!  CHIPS    Chip Salzenberg <[email-masked]>
!  DHUNT    Douglas Hunt <[email-masked]>
+  DVKLEIN  Daniel V. Klein <[email-masked]>
+  JCRISTY  John Cristy <[email-masked]>
!  KJOHNSON Kevin Johnson <[email-masked]>
!  MORTY    Mordechai Abzug <[email-masked]>
+  PLDAP    Perl LDAP mailing list
+           Mail subscription requests to
+           [email-masked] with body
+           "subscribe"
!  PRYAN    Patrick Ryan <[email-masked]>
!  RJRAY    Randy J Ray <[email-masked]>